#include "vision.h"
#include <bits/stdc++.h>
using namespace std;

vector<int> getVisionPattern1d()
{
    return {1,2};
}

int getMove1d(vector<int> v)
{
    if(v.size()==3)return 0;
    return 4;
}

vector<vector<int>> getVisionPattern2d()
{
    return {{1}};
}

pair<int, int> getMove2d(vector<vector<int>> v)
{
    return {0, 0};
}
